Imagick::selectiveBlurImage
Imagick::sepiaToneImage
Imagick
PHP Manual

# Imagick::separateImageChannel

(PECL imagick 2.0.0)

Imagick::separateImageChannel — Separates a channel from the image

### Description

bool Imagick::separateImageChannel ( int `$channel` )

Separates a channel from the image and returns a grayscale image. A channel is a particular color component of each pixel in the image.

### Parameters

`channel`

  Which 'channel' to return. For colorspaces other than RGB, you can still use the CHANNEL_RED, CHANNEL_GREEN, CHANNEL_BLUE constants to indicate the 1st, 2nd and 3rd channels.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::separateImageChannel()

`<?php
function separateImageChannel($imagePath, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->separateimagechannel($channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
separateImageChannel($imagePath, \Imagick::CHANNEL_GREEN);
?>`

Imagick::selectiveBlurImage
Imagick::sepiaToneImage
Imagick
PHP Manual